kdsoap-ws-discovery-client: WSDiscoveryProbeJob Class Reference

kdsoap-ws-discovery-client 0.4.0

Loading...
Searching...
No Matches
WSDiscoveryProbeJob Class Reference

Periodically probe the network for WS-Discovery devices. More...

`#include <wsdiscoveryprobejob.h>`

Inheritance diagram for WSDiscoveryProbeJob:
[legend]
Collaboration diagram for WSDiscoveryProbeJob:
[legend]

## Public Slots
void | start ()
void | stop ()

## Signals
void | matchReceived (const WSDiscoveryTargetService &matchedService)

## Public Member Functions
| WSDiscoveryProbeJob (WSDiscoveryClient *parent)
QList< KDQName > | typeList () const
void | setTypeList (const QList< KDQName > &typeList)
void | addType (const KDQName &type)
QList< QUrl > | scopeList () const
void | setScopeList (const QList< QUrl > &scopeList)
void | addScope (const QUrl &scope)
int | interval () const
void | setInterval (int interval)

## Detailed Description

Periodically probe the network for WS-Discovery devices.

You can set a filter for interested types and scopes, only devices that match the filter will be reported. After starting it will probe the network and report any matches.

## Constructor & Destructor Documentation

## ◆ WSDiscoveryProbeJob()

WSDiscoveryProbeJob::WSDiscoveryProbeJob | ( | WSDiscoveryClient * | parent | ) |
| explicit

Creates a WSDiscoveryProbeJob

Parameters

  parent | is both the QObject parent as the WSDiscoveryClient used for sending and receiving messages

## Member Function Documentation

## ◆ addScope()

void WSDiscoveryProbeJob::addScope | ( | const QUrl & | scope | ) |

Parameters

  scope | Adds a scopes to the list to filter devices with

## ◆ addType()

void WSDiscoveryProbeJob::addType | ( | const KDQName & | type | ) |

Parameters

  type | Adds a type to the list to filter devices with

## ◆ interval()

int WSDiscoveryProbeJob::interval | ( |  | ) | const

Returns
  The interval between probes

## ◆ matchReceived

void WSDiscoveryProbeJob::matchReceived | ( | const WSDiscoveryTargetService & | matchedService | ) |
| signal

Emitted when a match is received

Parameters

  matchedService | The service as described in the match

## ◆ scopeList()

QList< QUrl > WSDiscoveryProbeJob::scopeList | ( |  | ) | const

Returns
  List of scopes to filter devices with

## ◆ setInterval()

void WSDiscoveryProbeJob::setInterval | ( | int | interval | ) |

Parameters

  interval | Sets the interval between probes

## ◆ setScopeList()

void WSDiscoveryProbeJob::setScopeList | ( | const QList< QUrl > & | scopeList | ) |

Parameters

  scopeList | List of scopes to filter devices with

## ◆ setTypeList()

void WSDiscoveryProbeJob::setTypeList | ( | const QList< KDQName > & | typeList | ) |

Parameters

  typeList | List of types to filter devices with

## ◆ start

void WSDiscoveryProbeJob::start | ( |  | ) |
| slot

Start sending periodic probes

## ◆ stop

void WSDiscoveryProbeJob::stop | ( |  | ) |
| slot

Stop sending periodic probes

## ◆ typeList()

QList< KDQName > WSDiscoveryProbeJob::typeList | ( |  | ) | const

Returns
  List of types to filter devices with

The documentation for this class was generated from the following file:

- src/wsdiscoveryprobejob.h